#pragma once

using namespace System;

namespace lkfxdok {
	namespace c {
		public ref class LKFLineBuffer
		{
			unsigned int _lineExtend;
			unsigned int _lineCount;
			unsigned int _lineAlloc;
			array<String^> ^_lines;

		public:
			LKFLineBuffer();
			LKFLineBuffer(String ^fileName);
	
			void AddLine(String ^line);

			property unsigned int LineExtend { unsigned int get(void); void set(unsigned int); }
			property unsigned int LineCount { unsigned int get(void); }

			String ^LineAtIndex(unsigned int index);
		};


	}
}